diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 70d3b01..6672e69 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -16910,6 +16910,14 @@ of synonyms which are in common use.
 (defvar |$InitialCommandSynonymAlist| nil)
 
 @
+\defun{axiomVersion}{Print the current version information}
+\uses{axiomVersion}{*yearweek*}
+\uses{axiomVersion}{*build-version*}
+<<defun axiomVersion>>=
+(defun axiomVersion ()
+  (concatenate 'string *build-version* " built on " *yearweek*))
+
+@
 
 <<postvars>>=
 (eval-when (eval load)
@@ -16957,7 +16965,7 @@ of synonyms which are in common use.
        (|type|	     . "set message type")
        (|unexpose|   . "set expose drop constructor")
        (|up|	     . "zsystemdevelopment )update")
-       (|version|    . "lisp *yearweek*")
+       (|version|    . "lisp (axiomVersion)")
        (|w|	     . "what")
        (|wc|	     . "what categories")
        (|wd|	     . "what domains")
@@ -39653,6 +39661,7 @@ This needs to work off the internal exposure list, not the file.
 <<defun asech>>
 <<defun assertCond>>
 <<defun augmentTraceNames>>
+<<defun axiomVersion>>
 
 <<defun break>>
 <<defun breaklet>>
diff --git a/changelog b/changelog
index 1fc7f5d..d1f2faa 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100618 tpd src/axiom-website/patches.html 20100619.01.tpd.patch
+20100619 tpd books/bookvol5 change )version to include *build-version* info
 20100618 tpd src/axiom-website/patches.html 20100618.02.tpd.patch
 20100618 tpd src/input/Makefile rule-based inverse trig integration
 20100618 tpd src/input/richinvtrig000-092.input rule-based inverse trig int.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 95b377c..eaff7b1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2918,6 +2918,8 @@ src/input/richlog200-299.input rule-based log integration<br/>
 src/input/richlog300-391.input rule-based log integration<br/>
 <a href="patches/20100618.02.tpd.patch">20100618.02.tpd.patch</a>
 src/input/richinvtrig000-092.input rule-based inverse trig int.<br/>
+<a href="patches/20100619.01.tpd.patch">20100619.01.tpd.patch</a>
+books/bookvol5 change )version to include *build-version* info<br/>
  </body>
 </html>
 
